org.mariadb.jdbc.internal.common.queryresults

## Class NoSuchColumnException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.mariadb.jdbc.internal.common.QueryException
      - - org.mariadb.jdbc.internal.common.queryresults.NoSuchColumnException

All Implemented Interfaces:
  Serializable

    public class NoSuchColumnException
    extends QueryException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchColumnException(String reason)`

### Method Summary

### Methods inherited from class org.mariadb.jdbc.internal.common.QueryException

`getErrorCode, getMessage, getSqlState, setMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchColumnException

    public NoSuchColumnException(String reason)